Empathy doesn't reconnect after wakeup

Bug #924468 reported by Dario Bertini on 2012-01-31
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Telepathy Mission Control 5
Incomplete
Medium
telepathy-mission-control-5 (Ubuntu)
Low
Unassigned

Bug Description

After wakeup, empathy doesn't reconnect automatically when the network is brought up again

you can check this by leaving the window opened or by looking at the messages indicator

it'll reconnect only after you start the empathy application again (either by selecting "Chat" in the messages indicator or by opening empathy from the launcher if the window has been previously closed)

 ("Automatically connect on startup" is still checked in the preferences)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: empathy 3.3.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-12.20-generic 3.2.2
Uname: Linux 3.2.0-12-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Tue Jan 31 20:19:33 2012
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64+mac (20111012)
SourcePackage: empathy
UpgradeStatus: Upgraded to precise on 2012-01-20 (11 days ago)

Dario Bertini (berdario) wrote :
Vadim Rutkovsky (roignac) wrote :

Could you please attach debig logs, available in menu Help -> Debug?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Dario Bertini (berdario) wrote :
Dario Bertini (berdario) wrote :
Dario Bertini (berdario) wrote :
Dario Bertini (berdario) wrote :

done

Bilal Shahid (s9iper1) wrote :

thanks for the bug report !
is this problem with all the accounts like gmail.yahoo etc etc or with someone specific?
and can you just provide the basic steps to reproduce it.?

Changed in empathy (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Dario Bertini (berdario) wrote :

All accounts
I already listed everything that needs to be done to reproduce it

Bilal Shahid (s9iper1) wrote :

thanks you for taking time in filing the bug to make ubuntu better,
the bug is confirmed with empathy 3.3.4 and i have tested it.i am attaching the mission-control log and a video for the more info hope is helps and sending it to upstream.

Bilal Shahid (s9iper1) wrote :

i hae send this to upstream subscribe to that and answer the developer..here is the link:
https://bugzilla.gnome.org/show_bug.cgi?id=669169

Changed in empathy (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
Changed in empathy:
importance: Unknown → Medium
status: Unknown → New
Download full text (3.8 KiB)

Original bug report: https://bugzilla.gnome.org/show_bug.cgi?id=669169

"""
After wakeup, empathy doesn't reconnect automatically when the network is
brought up again

you can check this by leaving the window opened or by looking at the messages
indicator

it'll reconnect only after you start the empathy application again (either by
selecting "Chat" in the messages indicator or by opening empathy from the
launcher if the window has been previously closed)"

MC log: https://bugzilla.gnome.org/attachment.cgi?id=206608

Interesting bits:

mcd-DEBUG: 02/02/2012 10:28:25.960721: notify_resume_cb: woke up! sleep_kind=suspend
mcd-DEBUG: 02/02/2012 10:28:25.997378: connectivity_monitor_nm_state_change_cb: New NetworkManager network state 20 (connected: false)
mcd-DEBUG: 02/02/2012 10:28:48.512996: connectivity_monitor_nm_state_change_cb: New NetworkManager network state 40 (connected: false)
mcd-DEBUG: 02/02/2012 10:28:55.326663: connectivity_monitor_nm_state_change_cb: New NetworkManager network state 70 (connected: true)
mcd-DEBUG: 02/02/2012 10:28:55.326683: on_transport_status_changed: Transport i love the internet changed status to 0
mcd-DEBUG: 02/02/2012 10:28:55.326688: mcd_master_transport_connected: i love the internet
mcd-DEBUG: 02/02/2012 10:28:55.326697: mcd_account_would_like_to_connect: salut/local_xmpp/account1 does not ConnectAutomatically, and its RequestedPresence (1, 'offline', '') doesn't indicate the user wants to be online
mcd-DEBUG: 02/02/2012 10:28:55.326702: mcd_account_would_like_to_connect: haze/msn/dario_2ebertini_40email_2eit4 not Enabled
mcd-DEBUG: 02/02/2012 10:28:55.326705: mcd_account_would_like_to_connect: gabble/jabber/goa_google_account_1320635089 does not ConnectAutomatically, and its RequestedPresence (1, 'offline', '') doesn't indicate the user wants to be online
mcd-DEBUG: 02/02/2012 10:28:55.326711: mcd_account_would_like_to_connect: gabble/jabber/berdario_40chat_2efacebook_2ecom0 does not ConnectAutomatically, and its RequestedPresence (1, 'offline', '') doesn't indicate the user wants to be online
mcd-DEBUG: 02/02/2012 10:28:55.330491: get_mcddbusprop: org.freedesktop.Telepathy.Account, RequestedPresence
mcd-DEBUG: 02/02/2012 10:28:55.330501: set_requested_presence: called for haze/msn/dario_2ebertini_40email_2eit4
mcd-DEBUG: 02/02/2012 10:28:55.330507: set_requested_presence: setting requested presence: 1, offline,
mcd-DEBUG: 02/02/2012 10:28:55.330512: mcd_account_request_presence_int: Requested presence: 1 offline
mcd-DEBUG: 02/02/2012 10:28:55.333250: get_mcddbusprop: org.freedesktop.Telepathy.Account, RequestedPresence
mcd-DEBUG: 02/02/2012 10:28:55.333262: set_requested_presence: called for salut/local_xmpp/account1
mcd-DEBUG: 02/02/2012 10:28:55.333270: set_requested_presence: setting requested presence: 1, offline,
mcd-DEBUG: 02/02/2012 10:28:55.333276: mcd_account_request_presence_int: Requested presence: 1 offline
mcd-DEBUG: 02/02/2012 10:28:55.334079: get_mcddbusprop: org.freedesktop.Telepathy.Account, RequestedPresence
mcd-DEBUG: 02/02/2012 10:28:55.334088: set_requested_presence: called for gabble/jabber/berdario_40chat_2efacebook_2ecom0
mcd-DEBUG: 02/02/2012 10:28:55.334093: set_requested_p...

Read more...

Dario Bertini (berdario) on 2012-02-02
no longer affects: telepathy-mission-control-5 (Ubuntu)
Changed in mission-control-5:
importance: Unknown → Medium
status: Unknown → Confirmed
Bilal Shahid (s9iper1) wrote :

moving to telepathy mission control 5 in downstream.

no longer affects: empathy
affects: empathy (Ubuntu) → telepathy-mission-control-5 (Ubuntu)

copypaste of my comment on the empathy bug at https://bugzilla.gnome.org/show_bug.cgi?id=669169

"""Ok, I used that build (made at commit 0dc2ba9ea63c7d7d7f46b4d4e8b9311dfad823bb
) and indeed the problem seems to be absent

I can't remember how it worked before this bug, but it still seems it doesn't
work perfectly: after networkmanager reconnects, empathy stays unconnected for
quite a while, then throws an error (only for the facebook account), then
successfully connects on its own (both to gtalk and facebook, don't know about
bonjour)... after all of this, there's a spinner that keeps moving forever,
suggesting that it's still trying to connect to something (thus wasting cpu
cycles)

manually disconneting in empathy and reconnecting fixes this"""

Created attachment 56574
empathy mission control log

and this is the last log I uploaded

Looks like this could be Bug #50009, which was fixed in 5.12.2, 5.13.1.

Changed in mission-control-5:
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.